<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
    <link href="../../static/images/favicon.png" rel="icon" />
    <title>Navbar and footer</title>
    <meta name="description" content="This professional design html template is for build a Money Transfer and online payments website.">
    <meta name="author" content="harnishdesign.net">

    <!-- Web Fonts
    ============================================= -->
    <link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Rubik:300,300i,400,400i,500,500i,700,700i,900,900i' type='text/css'>

    <!-- Stylesheet
    ============================================= -->
    <link rel="stylesheet" type="text/css" href="../../static/vendor/bootstrap/css/bootstrap.min.css" th:href="@{/vendor/bootstrap/css/bootstrap.min.css}" />
    <link rel="stylesheet" type="text/css" href="../../static/vendor/font-awesome/css/all.min.css" th:href="@{/vendor/font-awesome/css/all.min.css}" />
    <link rel="stylesheet" type="text/css" href="../../static/vendor/owl.carousel/assets/owl.carousel.min.css" th:href="@{/vendor/owl.carousel/assets/owl.carousel.min.css}"/>
    <link rel="stylesheet" type="text/css" href="../../static/css/stylesheet.css" th:href="@{/css/stylesheet.css}"/>
</head>
<body>



<nav th:fragment="navbar"   class="primary-menu navbar navbar-expand-lg">
    <div id="header-nav" class="collapse navbar-collapse">
        <ul class="navbar-nav mr-auto">
            <li><a href="landing-page-send.html" th:href="@{/transactions/new}" th:if="${isAuthenticated}">Send</a></li>
            <li><a href="landing-page-receive.html" th:href="@{/transfers/new}" th:if="${isAuthenticated}">Top up</a></li>
            <li><a href="about-us.html" th:href="@{/about}">About</a></li>
            <li><a href="team.html" th:href="@{/team}">Team</a></li>
            <li class="dropdown dropdown-mega"> <a class="dropdown-toggle" href="#" th:if="${isAuthenticated}">Menu</a>
                <ul class="dropdown-menu">
                    <li>
                        <div class="dropdown-mega-content">
                            <div class="row">
                                <div class="col-lg-3"> <span class="sub-title">Account</Span>
                                    <ul class="dropdown-mega-submenu">
                                        <li><a class="dropdown-item" href="profile.html" th:href="@{/users/{userId}/profile(userId=${currentUserId})}">My Profile</a></li>
                                        <li><a class="dropdown-item" href="profile-cards-and-bank-accounts.html" th:href="@{/users/{userId}/cards-and-wallets(userId=${currentUserId})}">Cards & Wallets</a></li>
                                    </ul>
                                </div>
                                <div class="col-lg-3"> <span class="sub-title">Dashboard</Span>
                                    <ul class="dropdown-mega-submenu">

                                        <li><a class="dropdown-item" href="transactions.html" th:href="@{/transactions}">Transactions</a></li>
                                        <li><a class="dropdown-item" href="transactions.html" th:href="@{/transfers}">Transfers</a></li>
                                        <li><a class="dropdown-item" href="transactions.html" th:href="@{/transactions/new}">Send Money</a></li>
                                        <li><a class="dropdown-item" href="transactions.html"th:href="@{/transfers/new}">Deposit Money</a></li>

                                    </ul>
                                </div>

                            </div>
                        </div>
                    </li>
                </ul>
            </li>
            <li class="dropdown" th:if="${isAuthenticated && currentUser.getUserRole().getRoleType().equals('admin')}"> <a class="dropdown-toggle" href="#">Admin Portal</a>
                <ul class="dropdown-menu">
                    <li><a class="dropdown-item" th:href="@{/admin-portal/users}">All Users</a></li>
                    <li><a class="dropdown-item" th:href="@{/admin-portal/transactions}">All Transactions</a></li>
                </ul>
            </li>
        </ul>
    </div>
</nav>

<div th:fragment="login">
<nav class="login-signup navbar navbar-expand" th:unless="${isAuthenticated}">
    <ul class="navbar-nav">
        <li><a href="login.html" th:href="@{/auth/login}" >Login</a> </li>
        <li class="align-items-center h-auto ml-sm-3"><a class="btn btn-primary d-none d-sm-block" href="signup.html" th:href="@{/auth/register}">Sign Up</a></li>
    </ul>
</nav>

<nav  class="login-signup navbar navbar-expand" th:if="${isAuthenticated}">
    <ul class="navbar-nav">
        <li><a href="profile.html" th:href="@{/users/{userId}/profile(userId=${currentUserId})}">Settings</a> </li>
        <li class="align-items-center h-auto ml-sm-3"><a class="btn btn-outline-primary shadow-none d-none d-sm-block" href="" th:href="@{/auth/logout}">Sign out</a></li>
    </ul>
</nav>
</div>


<footer th:fragment="footer" id="footer">
    <div class="container">
        <div class="row">
            <div class="col-lg d-lg-flex align-items-center">
                <ul class="nav justify-content-center justify-content-lg-start text-3">
                    <li class="nav-item"> <a class="nav-link active" href="#" th:href="@{/about}">About</a></li>
                    <li class="nav-item"> <a class="nav-link" href="team.html" th:href="@{/team}">Team</a></li>
                </ul>
            </div>
            <div class="col-lg d-lg-flex justify-content-lg-end mt-3 mt-lg-0">
                <ul class="social-icons justify-content-center">
                    <li class="social-icons-facebook"><a data-toggle="tooltip" href="http://www.facebook.com/" target="_blank" title="Facebook"><i class="fab fa-facebook-f"></i></a></li>
                    <li class="social-icons-twitter"><a data-toggle="tooltip" href="http://www.twitter.com/" target="_blank" title="Twitter"><i class="fab fa-twitter"></i></a></li>
                    <li class="social-icons-google"><a data-toggle="tooltip" href="http://www.google.com/" target="_blank" title="Google"><i class="fab fa-google"></i></a></li>
                    <li class="social-icons-youtube"><a data-toggle="tooltip" href="http://www.youtube.com/" target="_blank" title="Youtube"><i class="fab fa-youtube"></i></a></li>
                </ul>
            </div>
        </div>
        <div class="footer-copyright pt-3 pt-lg-2 mt-2">
            <div class="row">
                <div class="col-lg">
                    <p class="text-center text-lg-left mb-2 mb-lg-0">Copyright &copy; 2022 <a href="#">Virtual Wallet</a>. All Rights Reserved.</p>
                </div>
                <div class="col-lg d-lg-flex align-items-center justify-content-lg-end">
                    <ul class="nav justify-content-center">
                        <li class="nav-item"> <a class="nav-link active" href="#">Security</a></li>
                        <li class="nav-item"> <a class="nav-link" href="#">Terms</a></li>
                        <li class="nav-item"> <a class="nav-link" href="#">Privacy</a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</footer>

<script src="../../static/vendor/jquery/jquery.min.js" th:src="@{/vendor/jquery/jquery.min.js}"></script>
<script src="../../static/vendor/bootstrap/js/bootstrap.bundle.min.js" th:src="@{/vendor/bootstrap/js/bootstrap.bundle.min.js}" ></script>
<script src="../../static/vendor/owl.carousel/owl.carousel.min.js" th:src="@{/vendor/owl.carousel/owl.carousel.min.js}"></script>
<script src="../../static/js/theme.js" th:src="@{/js/theme.js}"></script>

</body>
</html>





<!-- Primary Navigation end -->
